com.sun.jna.platform.win32

## Class WinPerf.PERF_DATA_BLOCK

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinPerf.PERF_DATA_BLOCK

- Enclosing interface:
    WinPerf

      public static class WinPerf.PERF_DATA_BLOCK
      extends Structure

  Describes the performance data block that you queried
  See Also:
    PERF_DATA_BLOCK

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `DefaultObject`
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `HeaderLength`
    `int` | `LittleEndian`
    `int` | `NumObjectTypes`
    `WinNT.LARGE_INTEGER` | `PerfFreq`
    `WinNT.LARGE_INTEGER` | `PerfTime`
    `WinNT.LARGE_INTEGER` | `PerfTime100nSec`
    `int` | `Revision`
    `char[]` | `Signature`
    `int` | `SystemNameLength`
    `int` | `SystemNameOffset`
    `WinBase.SYSTEMTIME` | `SystemTime`
    `int` | `TotalByteLength`
    `int` | `Version`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PERF_DATA_BLOCK()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### Signature

          public char[] Signature

    - #### LittleEndian

          public int LittleEndian

    - #### Version

          public int Version

    - #### Revision

          public int Revision

    - #### TotalByteLength

          public int TotalByteLength

    - #### HeaderLength

          public int HeaderLength

    - #### NumObjectTypes

          public int NumObjectTypes

    - #### DefaultObject

          public int DefaultObject

    - #### SystemTime

          public WinBase.SYSTEMTIME SystemTime

    - #### PerfTime

          public WinNT.LARGE_INTEGER PerfTime

    - #### PerfFreq

          public WinNT.LARGE_INTEGER PerfFreq

    - #### PerfTime100nSec

          public WinNT.LARGE_INTEGER PerfTime100nSec

    - #### SystemNameLength

          public int SystemNameLength

    - #### SystemNameOffset

          public int SystemNameOffset

  - ### Constructor Detail

    - #### PERF_DATA_BLOCK

          public PERF_DATA_BLOCK()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.